<div class="col-sm-<?= $content_width ?> m-3 cm-sc-discount">
  <div class="card">
    <div class="card-header"><?= MODULE_CONTENT_SC_DISCOUNT_HEADER_TITLE ?></div>
    <div class="card-body">
<?php
      echo  tep_draw_form('discount', tep_href_link('shopping_cart.php'), 'post');

      if (isset($_SESSION['customer_id']) || MODULE_CONTENT_SC_DISCOUNT_CODE_GUEST == 'True') {
        if ( isset($_SESSION['sess_discount_code']) ) {
          echo '<div class="input-group">' . tep_draw_input_field('discount_code', ($_SESSION['sess_discount_code']), 'readonly') . '<span class="form-control-feedback"></span>';
          // show remove button only if ship in cart ot module is present
          if ( defined('MODULE_CONTENT_SC_ORDER_TOTAL_STATUS') && MODULE_CONTENT_SC_ORDER_TOTAL_STATUS == 'True' ) {
            echo '<div class="input-group-append">' .
                    tep_draw_button(IMAGE_BUTTON_REMOVE, 'fas fa-times', null, 'primary', NULL, 'btn-danger') . tep_draw_hidden_field('rem_discount_code', 'remove') .
                 '</div>';
          }
          echo '</div>';
        } else {
          echo '<div class="input-group">' . tep_draw_input_field('discount_code', ($_SESSION['sess_discount_code'] ?? ''), 'id="discount_code"') . '<span class="form-control-feedback" id="discount_code_status"></span>';
          // show apply button only if ship in cart ot module is present
          if ( defined('MODULE_CONTENT_SC_ORDER_TOTAL_STATUS') && MODULE_CONTENT_SC_ORDER_TOTAL_STATUS == 'True' ) {
            echo '<div class="input-group-append">
                    <a class="btn btn-primary" id="discount-apply" role="button" href="_" onclick="return discount_submit(\'\');">'. IMAGE_BUTTON_APPLY . '</a>
                  </div>';
          }
          echo '</div>';
        }
      } else {
        echo '<p class="text-center">' . MODULE_CONTENT_SC_DISCOUNT_TEXT_LOG_IN . '</p>
              <div class="text-center">' . tep_draw_button(IMAGE_BUTTON_LOGIN, 'fas fa-sign-in-alt', tep_href_link('login.php'), 'primary', NULL, 'btn-success') . '</div>';
      }
?>
      </form>

    </div>
  </div>
</div>

<?php
/*
  $Id: cm_sc_discount_code.php
  $Loc: catalog/includes/modules/content/shopping_cart/

  Discount Code 5.5.0. Phoenix
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Based on Discount Codes BS 3.x and 4.x by @Tsimi and @raiwa
  Based on the Discount Code for osCommerce 2.3.1 addon by high-quality-php-coding.com

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
